<?php

namespace App\Model\Entities\GameData\Mmorpg;

use App\Model\Entities\GameData\GameData;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="mmorpg")
 */
class MmorpgData extends GameData
{
    /**
     * @ORM\Column(type="integer")
     */
    protected $maximumLevel;

    /**
     * @ORM\Column(type="integer")
     */
    protected $primaryProfessionsLimit;

    /**
     * @ORM\Column(type="integer")
     */
    protected $secondaryProfessionsLimit;

    /**
     * @ORM\Column(type="integer")
     */
    protected $craftingProfessionsLimit;

    /**
     * @return int
     */
    public function getMaximumLevel() : int
    {
        return $this->maximumLevel;
    }

    /**
     * @param int $maximumLevel
     */
    public function setMaximumLevel(int $maximumLevel)
    {
        $this->maximumLevel = $maximumLevel;
    }

    /**
     * @return int
     */
    public function getPrimaryProfessionsLimit() : int
    {
        return $this->primaryProfessionsLimit;
    }

    /**
     * @param int $primaryProfessionsLimit
     */
    public function setPrimaryProfessionsLimit(int $primaryProfessionsLimit)
    {
        $this->primaryProfessionsLimit = $primaryProfessionsLimit;
    }

    /**
     * @return int
     */
    public function getSecondaryProfessionsLimit() : int
    {
        return $this->secondaryProfessionsLimit;
    }

    /**
     * @param int $secondaryProfessionsLimit
     */
    public function setSecondaryProfessionsLimit(int $secondaryProfessionsLimit)
    {
        $this->secondaryProfessionsLimit = $secondaryProfessionsLimit;
    }

    /**
     * @return int
     */
    public function getCraftingProfessionsLimit() : int
    {
        return $this->craftingProfessionsLimit;
    }

    /**
     * @param int $craftingProfessionsLimit
     */
    public function setCraftingProfessionsLimit(int $craftingProfessionsLimit)
    {
        $this->craftingProfessionsLimit = $craftingProfessionsLimit;
    }

}